App\Library\Amazon\Classes\AddressType:
    properties:
        name:
            expose: true
            access_type: public_method
            serialized_name: Name
            accessor:
                getter: getName
                setter: setName
            type: string
        formalTitle:
            expose: true
            access_type: public_method
            serialized_name: FormalTitle
            accessor:
                getter: getFormalTitle
                setter: setFormalTitle
            type: string
        givenName:
            expose: true
            access_type: public_method
            serialized_name: GivenName
            accessor:
                getter: getGivenName
                setter: setGivenName
            type: string
        familyName:
            expose: true
            access_type: public_method
            serialized_name: FamilyName
            accessor:
                getter: getFamilyName
                setter: setFamilyName
            type: string
        addressFieldOne:
            expose: true
            access_type: public_method
            serialized_name: AddressFieldOne
            accessor:
                getter: getAddressFieldOne
                setter: setAddressFieldOne
            type: string
        addressFieldTwo:
            expose: true
            access_type: public_method
            serialized_name: AddressFieldTwo
            accessor:
                getter: getAddressFieldTwo
                setter: setAddressFieldTwo
            type: string
        addressFieldThree:
            expose: true
            access_type: public_method
            serialized_name: AddressFieldThree
            accessor:
                getter: getAddressFieldThree
                setter: setAddressFieldThree
            type: string
        city:
            expose: true
            access_type: public_method
            serialized_name: City
            accessor:
                getter: getCity
                setter: setCity
            type: string
        county:
            expose: true
            access_type: public_method
            serialized_name: County
            accessor:
                getter: getCounty
                setter: setCounty
            type: string
        stateOrRegion:
            expose: true
            access_type: public_method
            serialized_name: StateOrRegion
            accessor:
                getter: getStateOrRegion
                setter: setStateOrRegion
            type: string
        postalCode:
            expose: true
            access_type: public_method
            serialized_name: PostalCode
            accessor:
                getter: getPostalCode
                setter: setPostalCode
            type: string
        countryCode:
            expose: true
            access_type: public_method
            serialized_name: CountryCode
            accessor:
                getter: getCountryCode
                setter: setCountryCode
            type: string
        phoneNumber:
            expose: true
            access_type: public_method
            serialized_name: PhoneNumber
            accessor:
                getter: getPhoneNumber
                setter: setPhoneNumber
            xml_list:
                inline: true
                entry_name: PhoneNumber
            type: array<App\Library\Amazon\Classes\PhoneNumberType>
        isDefaultShipping:
            expose: true
            access_type: public_method
            serialized_name: isDefaultShipping
            accessor:
                getter: getIsDefaultShipping
                setter: setIsDefaultShipping
            type: boolean
        isDefaultBilling:
            expose: true
            access_type: public_method
            serialized_name: isDefaultBilling
            accessor:
                getter: getIsDefaultBilling
                setter: setIsDefaultBilling
            type: boolean
        isDefaultOneClick:
            expose: true
            access_type: public_method
            serialized_name: isDefaultOneClick
            accessor:
                getter: getIsDefaultOneClick
                setter: setIsDefaultOneClick
            type: boolean
